﻿using System;
using System.Web.Mvc;

namespace Tradukisto.Engine.Controllers
{
    public abstract class DefaultLocalizationController : Controller
    {
        protected override IAsyncResult BeginExecuteCore(AsyncCallback callback, object state)
        {
            // invoke the localization logic
            LocalizationControllerHelper.OnBeginExecuteCore(this);

            // invoke the base method
            return base.BeginExecuteCore(callback, state);
        }
    }
}
