﻿using MongoRepository;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace Tradukisto.Model
{
    /// <summary>
    /// This class represents an available action
    /// </summary>
    public class ActionItem : IEntity
    {
        [Required]
        [StringLength(100)]
        public string Name { get; set; }

        [HiddenInput]
        public string ControllerId { get; set; }

        [HiddenInput]
        public string Id
        {
            get;
            set;
        }
    }
}
