﻿using System;
using System.Collections.Generic;
using System.Web;

namespace Tradukisto.Engine.ResourceProviders
{
    public interface ILocalizationProvider
    {
        Type ResourceType { get; set; }

        string GetString(string cultureName, string key);

        string GetString(string key);

        Dictionary<string, string> GetAllStringsByControllerAndAction(string culture, string controller, string action);

        Dictionary<string, string> GetAllStringsByControllerAndAction(string controller, string action);

        IHtmlString GetHtmlString(string cultureName, string key);

        IHtmlString GetHtmlString(string key);
    }
}
