﻿
using System.ComponentModel.DataAnnotations;
namespace Tradukisto.Model.Special
{
    public class SimpleLocal
    {
        public string Id { get; set; }
        public string Culture { get; set; }

        [DataType(DataType.MultilineText)]
        [Display(Name = "Translation")]
        [Required]
        public string Value { get; set; }

        public SimpleLocal() { }

        public SimpleLocal(LocalItem item)
        {
            Id = item.Id;
            Culture = item.Culture;
            Value = item.Value;
        }
    }
}
